Просмотр исходного кода

* cmdline/apt-key:
- explicitly state that net-update is not supported if no url is set

David Kalnischkies лет назад: 15
Родитель
Сommit
49434e9457
2 измененных файлов с 5 добавлено и 3 удалено
  1. 2 2
      cmdline/apt-key
  2. 3 1
      debian/changelog

+ 2 - 2
cmdline/apt-key

@@ -59,13 +59,13 @@ add_keys_with_verify_against_master_keyring() {
 # (otherwise it does not make sense from a security POV)
 # (otherwise it does not make sense from a security POV)
 net_update() {
 net_update() {
     if [ -z "$ARCHIVE_KEYRING_URI" ]; then
     if [ -z "$ARCHIVE_KEYRING_URI" ]; then
-	echo "ERROR: no location for the archive-keyring given"
+	echo >&2 "ERROR: Your distribution is not supported in net-update as no uri for the archive-keyring is set"
 	exit 1
 	exit 1
     fi
     fi
     # in theory we would need to depend on wget for this, but this feature
     # in theory we would need to depend on wget for this, but this feature
     # isn't useable in debian anyway as we have no keyring uri nor a master key
     # isn't useable in debian anyway as we have no keyring uri nor a master key
     if ! which wget >/dev/null 2>&1; then
     if ! which wget >/dev/null 2>&1; then
-	echo "ERROR: an installed wget is required for a network-based update"
+	echo >&2 "ERROR: an installed wget is required for a network-based update"
 	exit 1
 	exit 1
     fi
     fi
     if [ ! -d /var/lib/apt/keyrings ]; then
     if [ ! -d /var/lib/apt/keyrings ]; then

+ 3 - 1
debian/changelog

@@ -3,8 +3,10 @@ apt (0.8.15.1) unstable; urgency=low
   [ David Kalnischkies ]
   [ David Kalnischkies ]
   * doc/makefile:
   * doc/makefile:
     - create doxygen directory to avoid depending on magic (Closes: #628799)
     - create doxygen directory to avoid depending on magic (Closes: #628799)
+  * cmdline/apt-key:
+    - explicitly state that net-update is not supported if no url is set
 
 
- -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 29 Jun 2011 16:37:58 +0200
+ -- David Kalnischkies <kalnischkies@gmail.com>  Wed, 29 Jun 2011 17:13:26 +0200
 
 
 apt (0.8.15) unstable; urgency=low
 apt (0.8.15) unstable; urgency=low